# Uses of Interface
java.security.DomainCombiner

Packages that use DomainCombiner
Package
Description
java.security
Provides the classes and interfaces for the security framework.
javax.security.auth
This package provides a framework for authentication and authorization.

## Uses of DomainCombiner in java.security

Methods in java.security that return DomainCombiner
Modifier and Type
Method
Description
`DomainCombiner`
AccessControlContext.`getDomainCombiner()`
Deprecated, for removal: This API element is subject to removal in a future version.
Get the `DomainCombiner` associated with this `AccessControlContext`.
Constructors in java.security with parameters of type DomainCombiner
Modifier
Constructor
Description
``
`AccessControlContext(AccessControlContext acc, DomainCombiner combiner)`
Deprecated, for removal: This API element is subject to removal in a future version.
Create a new `AccessControlContext` with the given `AccessControlContext` and `DomainCombiner`.

## Uses of DomainCombiner in javax.security.auth

Classes in javax.security.auth that implement DomainCombiner
Modifier and Type
Class
Description
`class`
`SubjectDomainCombiner`
Deprecated, for removal: This API element is subject to removal in a future version.
This class is only useful in conjunction with the Security Manager, which is deprecated and subject to removal in a future release.